For the complete documentation index, see llms.txt. This page is also available as Markdown.

Labels IPs

List IP Labels

get

Returns an array of ip labels.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

List of IP Labels Requested

application/json
get/api/v1/labels/ips
GET /api/v1/labels/ips HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "ip": "10.250.0.1",
      "context": "name",
      "labels": [
        "name1",
        "name2"
      ]
    }
  ]
}

Create IP Label

post

Creates a IP label from the data that's been supplied

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

IP Label Create Config.

ipstringRequired

IP address

Example: 10.250.0.1
contextstringRequired

IP label context. default context is 'name'.

Example: name
labelsstring[] · min: 1 · max: 10000Required

Array containing the IP labels.

Example: ["name1","name2"]
Responses
201

IP Label Requested

application/json
post/api/v1/labels/ips
POST /api/v1/labels/ips HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 63

{
  "ip": "10.250.0.1",
  "context": "name",
  "labels": [
    "name1",
    "name2"
  ]
}
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": {
    "ip": "10.250.0.1",
    "context": "name",
    "labels": [
      "name1",
      "name2"
    ]
  }
}

Update IP Label

put

Update an IP Label given the provided object. This does not do a diff. You must send the complete object.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

IP Label Create Config.

ipstringRequired

IP address

Example: 10.250.0.1
contextstringRequired

IP label context. default context is 'name'.

Example: name
labelsstring[] · min: 1 · max: 10000Required

Array containing the IP labels.

Example: ["name1","name2"]
Responses
200

IP Label Requested

application/json
put/api/v1/labels/ips
PUT /api/v1/labels/ips HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 63

{
  "ip": "10.250.0.1",
  "context": "name",
  "labels": [
    "name1",
    "name2"
  ]
}
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": {
    "ip": "10.250.0.1",
    "context": "name",
    "labels": [
      "name1",
      "name2"
    ]
  }
}

List IP Labels by context

get

Fetches all labels by a specific context for all IPs.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
contextstringRequired

The context of the IP labels to be returned.

Responses
200

IP Label Requested

application/json
get/api/v1/labels/ips/all/{context}
GET /api/v1/labels/ips/all/{context} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": {
    "ip": "10.250.0.1",
    "context": "name",
    "labels": [
      "name1",
      "name2"
    ]
  }
}

List IP Labels by ip

get

Fetches a all IP labels for the IP address supplied in the path.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
ipstringRequired

The IP Address of the IP labels to be returned.

Responses
200

IP Label Requested

application/json
get/api/v1/labels/ips/{ip}
GET /api/v1/labels/ips/{ip} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": {
    "ip": "10.250.0.1",
    "context": "name",
    "labels": [
      "name1",
      "name2"
    ]
  }
}

List IP Labels by ip:context

get

Fetches a specific IP label from the IP supplied in the path.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
ipstringRequired

The IP Address of the IP labels to be returned.

contextstringRequired

The context of the IP labels.

Responses
200

IP Label Requested

application/json
get/api/v1/labels/ips/{ip}/{context}
GET /api/v1/labels/ips/{ip}/{context} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": {
    "ip": "10.250.0.1",
    "context": "name",
    "labels": [
      "name1",
      "name2"
    ]
  }
}

Delete IP labels by ip:context

delete

Removes all the labels for the provided context.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
ipstringRequired

The IP of the IP label to be deleted.

contextstringRequired

The context of the IP label to be deleted.

Responses
204

An empty array

No content

delete/api/v1/labels/ips/{ip}/{context}
DELETE /api/v1/labels/ips/{ip}/{context} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Bulk Create/Update IP Labels

put

Bulk create/update IP labels. New labels will be created, and existing labels will be replaced. Limited to 10,000 labels per request. Note: the API path has changed from previous versions

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Bodyobject[]

IP Label Create Config.

ipstringRequired

IP address

Example: 10.250.0.1
contextstringRequired

IP label context. default context is 'name'.

Example: name
labelsstring[] · min: 1 · max: 10000Required

Array containing the IP labels.

Example: ["name1","name2"]
Responses
201

Result of IP Labels bulk upload

application/json
put/api/v1/labels/ips/bulk
PUT /api/v1/labels/ips/bulk HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 65

[
  {
    "ip": "10.250.0.1",
    "context": "name",
    "labels": [
      "name1",
      "name2"
    ]
  }
]
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "ip": "10.250.0.1",
      "context": "name",
      "labels": [
        "name1",
        "name2"
      ]
    }
  ]
}

Bulk Delete IP Labels

delete

Bulk delete IP labels from the data that's been supplied.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Bodyobject[]

Delete IP Labels via ip or context or both. One of ip or context is required. Both may be provided as well.

ipstringRequired

IP address.

Example: 10.250.0.1
contextstringRequired

IP label context. Default context is 'name'. Optional if ip is provided.

Example: name
Responses
200

Result of IP Labels bulk upload

application/json
delete/api/v1/labels/ips/bulk
DELETE /api/v1/labels/ips/bulk HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

[
  {
    "ip": "10.250.0.1",
    "context": "name"
  }
]
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "ip": "10.250.0.1",
      "context": "name",
      "labels": [
        "name1",
        "name2"
      ]
    }
  ]
}

Upload IP Labels

put

Upload IP labels via a CSV file. New labels will be created, and existing labels will be replaced. Limited to 10,000 labels per request. The CSV must be a text file and should NOT have any headers. Multiple labels can be assigned per context by having additional columns. Example CSV: IP1, Context1, Label1 IP1, Context2, Label1, Label2 IP2, Context1, Label3 IP2, Context4, Label4, Label5, Label6

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
filestring · textRequired

The CSV file to upload

Responses
201

Result of IP Labels bulk upload

application/json
put/api/v1/labels/ips/upload
PUT /api/v1/labels/ips/upload HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 15

{
  "file": "text"
}
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "ip": "10.250.0.1",
      "context": "name",
      "labels": [
        "name1",
        "name2"
      ]
    }
  ]
}

Last updated